<?php

namespace Drupal\candidate_manager\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Link;
use Drupal\Core\Url;

/**
 * Returns an overview page for the Candidate Manager module.
 */
class AdminController extends ControllerBase {

  /**
   * Returns the admin landing page.
   */
  public function overview() {
    $build = [
      '#type' => 'container',
      '#attributes' => ['class' => ['candidate-manager-dashboard']],
      '#attached' => [
        'library' => [
          'candidate_manager/admin_dashboard',
        ],
      ],
      'title' => [
        '#markup' => '<h2>' . $this->t('Candidate Manager Dashboard') . '</h2>',
      ],
      'intro' => [
        '#markup' => '<p>' . $this->t('Welcome to the Candidate Manager. Choose an action below:') . '</p>',
      ],
      'links' => [
        '#theme' => 'item_list',
        '#items' => [
          Link::fromTextAndUrl($this->t('Manage Candidates'), Url::fromRoute('entity.candidate.collection'))->toRenderable(),
          Link::fromTextAndUrl($this->t('Manage Companies'), Url::fromRoute('entity.company.collection'))->toRenderable(),
          Link::fromTextAndUrl($this->t('Settings'), Url::fromRoute('candidate_manager.settings'))->toRenderable(),
        ],
      ],
    ];
    return $build;
  }

}
